> ## Documentation Index
> Fetch the complete documentation index at: https://novita.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Renew Instance



## OpenAPI

````yaml api-reference/gpus-v2-spec/renewal-instance.json PUT /gpus/v2/instances/{instance_id}/renew
openapi: 3.0.0
info:
  title: Novita GPU API v2
  version: 2.0.0
servers:
  - url: https://api.novita.ai
security: []
paths:
  /gpus/v2/instances/{instance_id}/renew:
    put:
      summary: Renew Instance
      parameters:
        - name: Content-Type
          in: header
          required: true
          schema:
            type: string
          description: 'Allowed value: application/json.'
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
          description: 'Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.'
        - name: instance_id
          in: path
          required: true
          schema:
            type: string
          description: 'Instance ID. String, length: 1-255 characters.'
          example: ca338f12f3
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - months
              properties:
                months:
                  type: integer
                  description: Renewal length in months. Integer, value > 0.
                  example: 1
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object

````